Package ru.bgcrm.dao.user

# Class Tables

java.lang.Object
ru.bgcrm.dao.user.Tables

public class Tables extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_APPOINTMENT`
  `static final String`
  `TABLE_PERMSET_PERMISSION`
  `static final String`
  `TABLE_USER`
  `static final String`
  `TABLE_USER_GROUP`
  `static final String`
  `TABLE_USER_GROUP_PERMSET`
  `static final String`
  `TABLE_USER_GROUP_QUEUE`
  `static final String`
  `TABLE_USER_GROUP_TITLE`
  `static final String`
  `TABLE_USER_PERMISSION`
  `static final String`
  `TABLE_USER_PERMSET`
  `static final String`
  `TABLE_USER_PERMSET_TITLE`
  `static final String`
  `TABLE_USER_QUEUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tables()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_USER

    public static final String TABLE_USER
    See Also:
      - Constant Field Values

  - ### TABLE_USER_QUEUE

    public static final String TABLE_USER_QUEUE
    See Also:
      - Constant Field Values

  - ### TABLE_USER_GROUP

    public static final String TABLE_USER_GROUP
    See Also:
      - Constant Field Values

  - ### TABLE_USER_GROUP_TITLE

    public static final String TABLE_USER_GROUP_TITLE
    See Also:
      - Constant Field Values

  - ### TABLE_USER_GROUP_QUEUE

    public static final String TABLE_USER_GROUP_QUEUE
    See Also:
      - Constant Field Values

  - ### TABLE_USER_GROUP_PERMSET

    public static final String TABLE_USER_GROUP_PERMSET
    See Also:
      - Constant Field Values

  - ### TABLE_USER_PERMSET

    public static final String TABLE_USER_PERMSET
    See Also:
      - Constant Field Values

  - ### TABLE_USER_PERMSET_TITLE

    public static final String TABLE_USER_PERMSET_TITLE
    See Also:
      - Constant Field Values

  - ### TABLE_USER_PERMISSION

    public static final String TABLE_USER_PERMISSION
    See Also:
      - Constant Field Values

  - ### TABLE_PERMSET_PERMISSION

    public static final String TABLE_PERMSET_PERMISSION
    See Also:
      - Constant Field Values

  - ### TABLE_APPOINTMENT

    public static final String TABLE_APPOINTMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Tables

    public Tables()